"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class DrugResponseClassification(object):
    """
    Pharmacogenomics drug response variant classification * `responsive` :
    A variant that confers response to a treatment * `resistant` : A
    variant that confers resistance to a treatment * `toxicity` : A
    variant that is associated with drug-induced toxicity *
    `indication` : A variant that is required in order for a
    particular drug to be prescribed * `contraindication` : A variant
    that if present, a particular drug should not be prescribed *
    `dosing` : A variant that results in an alteration in dosing of a
    particular drug in order to achieve INR, reduce toxicity or
    increase efficacy * `increased_monitoring` : increase vigilance or
    increased dosage monitoring may be required for a patient with
    this variant to look for signs of adverse drug reactions *
    `efficacy` : a variant that affects the efficacy of the treatment
    """

    responsive = "responsive"
    resistant = "resistant"
    toxicity = "toxicity"
    indication = "indication"
    contraindication = "contraindication"
    dosing = "dosing"
    increased_monitoring = "increased_monitoring"
    efficacy = "efficacy"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0-SNAPSHOT"
